@if (componentData$ | async; as componentData) {
  <sqtm-core-customisable-dialog
    [titleKey]="getDialogTitle(componentData)"
    [attr.data-test-dialog-id]="'import-dialog'"
  >
    <sqtm-core-dialog-body>
      <div class="m-b-10">
        @if (componentData.currentStep === 'CONFIGURATION') {
          <sqtm-app-import-configuration
            [componentData]="componentData"
            [wrongFileFormat]="wrongFileFormat"
          >
          </sqtm-app-import-configuration>
        }
        @if (componentData.currentStep === 'SIMULATION_REPORT') {
          @if (componentData.loadingData) {
            <div class="full-width full-height">
              <i nz-icon nzTheme="outline" nzType="loading"></i>
            </div>
          } @else {
            @if (componentData.showXlsImportErrorMessage) {
              <span class="sqtm-core-error-message">
                {{ componentData.errorMessage }}
              </span>
            } @else {
              <sqtm-app-requirement-xls-report
                [templateOk]="componentData.simulationReport.templateOk"
                [templateKo]="
                  componentData.simulationReport.importFormatFailure
                "
              ></sqtm-app-requirement-xls-report>
            }
          }
        }
        @if (componentData.currentStep === 'CONFIRMATION') {
          <div
            [attr.data-test-message-id]="'confirmation-message'"
            [innerHTML]="
              'sqtm-core.requirement-workspace.dialog.message.import-confirmation'
                | translate: { fileName: componentData.file.name }
            "
          ></div>
        }
        @if (componentData.currentStep === 'CONFIRMATION_REPORT') {
          <sqtm-app-import-report
            [componentData]="componentData"
          ></sqtm-app-import-report>
        }
      </div>
    </sqtm-core-dialog-body>
    <sqtm-core-dialog-footer>
      @if (
        componentData.currentStep === 'CONFIGURATION' &&
        componentData.format === 'XLS'
      ) {
        <button
          [attr.data-test-dialog-button-id]="'simulate'"
          style="margin-left: 5px"
          nz-button
          nzType="primary"
          (click)="simulateImport(componentData)"
        >
          {{ 'sqtm-core.generic.label.simulate' | translate }}
        </button>
      }
      @if (
        componentData.currentStep === 'CONFIGURATION' ||
        (componentData.currentStep === 'SIMULATION_REPORT' &&
          !componentData.loadingData &&
          !componentData.showXlsImportErrorMessage)
      ) {
        <button
          [attr.data-test-dialog-button-id]="'import'"
          style="margin-left: 5px"
          nz-button
          nzType="primary"
          (click)="confirmImport(componentData)"
        >
          {{ 'sqtm-core.generic.label.import' | translate }}
        </button>
      }
      @if (componentData.currentStep === 'CONFIRMATION') {
        <button
          [attr.data-test-dialog-button-id]="'confirm'"
          style="margin-left: 5px"
          nz-button
          nzType="primary"
          (click)="importRequirement(componentData)"
        >
          {{ 'sqtm-core.generic.label.confirm' | translate }}
        </button>
      }
      @if (
        componentData.currentStep !== 'CONFIRMATION_REPORT' ||
        componentData.importFailed
      ) {
        <button
          [attr.data-test-dialog-button-id]="'cancel'"
          style="margin-left: 5px"
          nz-button
          nzType="default"
          (click)="cancelImport(componentData)"
        >
          {{ 'sqtm-core.generic.label.cancel' | translate }}
        </button>
      }
      @if (
        componentData.currentStep === 'CONFIRMATION_REPORT' &&
        !componentData.importFailed
      ) {
        <button
          [attr.data-test-dialog-button-id]="'close'"
          style="margin-left: 5px"
          nz-button
          nzType="default"
          sqtmCoreDialogClose
        >
          {{ 'sqtm-core.generic.label.close' | translate }}
        </button>
      }
    </sqtm-core-dialog-footer>
  </sqtm-core-customisable-dialog>
}
